{% extends './layout.twig' %} {% block content %}
<h1>Socket IO Server!!</h1>
<div style="display: flex; flex-direction:row;  height: 500px; width:250px">
    <div style="color: #f5f5f5;">
    </div>
    <div style="color: antiquewhite; border: 1px dot">

    </div>
</div>
To: <input type="text" name="to" id="to">
Message: <input type="text" name="msg" id="msg">
<input type="button" id="send" value="Send">

<script src="http://localhost:3000/socket.io/socket.io.js"></script>
<script
  src="https://code.jquery.com/jquery-3.3.1.min.js"
  integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8="
  crossorigin="anonymous"></script>
<script>
    var socket = io();
    $("#send").click(function(){
        if($('#to').val()) {
            socket.emit('createEmail', {from: "me", to: $('#to').val(), message: $('#msg').val()});
        } else {
            socket.emit('createEmail', {from: "me", to: 'everyone', message: $('#msg').val()});
        }
    });
    socket.on('createEmail', function(data) {
        console.log(data);
    });
</script>
{% endblock %}